Will this be compatible?

ASK THE COMMUNITY